﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Diagrams.Extensions;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for DiagramControl.xaml
    /// </summary>
    public partial class DiagramControl : UserControl
    {
        public DiagramControl()
        {
            InitializeComponent();
            var galleryItems = new HierarchicalGalleryItemsCollection();

            var customItemsGallery = new Gallery() { Header = "my shape" };

            var listBox = new ListBox();
            listBox.Items.Add(new ListBoxItem() { Content = "Item 1" });
            listBox.Items.Add(new ListBoxItem() { Content = "Item 2" });

            var galleryItem = new GalleryItem()
            {
                Header = "text box",
                Shape = new TextBoxShape()
            };

            customItemsGallery.Items.Add(galleryItem);
            galleryItems.Add(customItemsGallery);


            this.toolBox.ItemsSource = galleryItems;
            this.toolBox.SelectedItem = customItemsGallery;
        }
    }
}