﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace WpfApplication2
{
    public class ExtendedDiagram : RadDiagram
    {
        protected override bool IsItemItsOwnShapeContainerOverride(object item)
        {
            return (item is TextBoxShape || item is RadDiagramShape);
        }

        protected override Telerik.Windows.Diagrams.Core.IShape GetShapeContainerForItemOverride(object item)
        {
            if (item is TextBoxShape)
            {
                return new TextBoxShape();
            }
            return new RadDiagramShape();
        }
    }
}